Upgrade from 6 to 7

Hi, If we were to upgrade from 6.2 to 7.x do we need to also upgrade all our filebeat/winlogbeat installs as well?
Or is 7.x backwards compatible with these beats?

Welcome!

Have a look at https://www.elastic.co/guide/en/elastic-stack/current/upgrading-elastic-stack.html

When upgrading to a new version of Elasticsearch, you need to upgrade each of the products in your Elastic Stack. Beats and Logstash 6.7 are compatible with Elasticsearch 7.3.0 to give you flexibility in scheduling the upgrade.

Elasticsearch supports rolling upgrades between minor versions, from Elasticsearch 5.6 to 6.8, and from 6.8 to 7.3.0.

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.